Vector::BLF::LogContainer(3)

NAME
Vector::BLF::LogContainer - LOG_CONTAINER.

SYNOPSIS

#include <LogContainer.h>

Inherits Vector::BLF::ObjectHeaderBase.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
uint16_t internalHeaderSize () const
virtual void uncompress ()
virtual void compress (const uint16_t compressionMethod, const int compressionLevel)
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default
virtual uint16_t calculateHeaderSize () const

  Public Attributes
uint16_t compressionMethod {}
uint16_t reservedLogContainer1 {}
uint32_t reservedLogContainer2 {}
uint32_t uncompressedFileSize {}
uint32_t reservedLogContainer3 {}
std::vector< uint8_t > compressedFile {}
std::vector< uint8_t > uncompressedFile {}
uint32_t compressedFileSize {}
std::streampos filePosition {}
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

LOG_CONTAINER.

Member Function Documentation

  uint32_t Vector::BLF::LogContainer::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LogContainer::compress (const uint16_t compressionMethod, const int compressionLevel) [virtual]
compress data

Parameters
    compressionMethod compression method
    compressionLevel compression level (different for each method)

  uint16_t Vector::BLF::LogContainer::internalHeaderSize () const
internalHeaderSize returns the size of all headers.

Note
    Not to be mixed with headerSize, which only takes ObjectHeaderBase headers into account.

Returns
    Size of all headers.

  void Vector::BLF::LogContainer::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LogContainer::uncompress () [virtual]
uncompress data

  void Vector::BLF::LogContainer::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  std::vector<uint8_t> Vector::BLF::LogContainer::compressedFile {}
compressed file content

  uint32_t Vector::BLF::LogContainer::compressedFileSize {}
compressed file size in bytes

  uint16_t Vector::BLF::LogContainer::compressionMethod {}
compression method

•   0: no compression

•   2: zlib deflate

  std::streampos Vector::BLF::LogContainer::filePosition {}
position of this LogContainer::uncompressedFile within UncompressedFile class

  uint16_t Vector::BLF::LogContainer::reservedLogContainer1 {}
reserved

  uint32_t Vector::BLF::LogContainer::reservedLogContainer2 {}
reserved

  uint32_t Vector::BLF::LogContainer::reservedLogContainer3 {}
reserved

  std::vector<uint8_t> Vector::BLF::LogContainer::uncompressedFile {}
uncompressed file content

  uint32_t Vector::BLF::LogContainer::uncompressedFileSize {}
uncompressed file size in bytes

Author

Generated automatically by Doxygen for Vector BLF from the source code.